Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.extend
Interface DebugPageGenerator

All Known Implementing Classes:
  DefaultDebugPageGenerator

    public interface DebugPageGenerator

The heart of DWR is a system to generate content from some requests. This interface generates scripts and executes remote calls.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Method Summary
`java.lang.String` | `generateEngineUrl(java.lang.String root)` Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this
`java.lang.String` | `generateIndexPage(java.lang.String root)` Generate some HTML that represents an index page
`java.lang.String` | `generateInterfaceUrl(java.lang.String root, java.lang.String scriptName)` Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this
`java.lang.String` | `generateLibraryUrl(java.lang.String root, java.lang.String library)` Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this
`java.lang.String` | `generateTestPage(java.lang.String root, java.lang.String scriptName)` Generate some HTML that represents a test page for a given script
`java.util.Collection` | `getAvailableLibraries()` Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this

Method Detail

### generateIndexPage

    java.lang.String generateIndexPage(java.lang.String root)
                                       throws java.lang.SecurityException

  Generate some HTML that represents an index page

  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
  Returns:
    An index page in HTML
  Throws:
    `java.lang.SecurityException` - If the pages are not accessible

### generateTestPage

    java.lang.String generateTestPage(java.lang.String root,
                                      java.lang.String scriptName)
                                      throws java.lang.SecurityException

  Generate some HTML that represents a test page for a given script

  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
    `scriptName` - The script to generate for
  Returns:
    A test page in HTML
  Throws:
    `java.lang.SecurityException` - If the pages are not accessible

### generateInterfaceUrl

    java.lang.String generateInterfaceUrl(java.lang.String root,
                                          java.lang.String scriptName)

  Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this

  For a given remoted class, generate a URL that will retrieve the Javascript interface

  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
    `scriptName` - The script to generate for
  Returns:
    A URL that points at the given scriptName

### generateEngineUrl

    java.lang.String generateEngineUrl(java.lang.String root)

  Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this

  Create a url that links to the engine.js file

  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
  Returns:
    A URL that points at the central engine Javascript file

### generateLibraryUrl

    java.lang.String generateLibraryUrl(java.lang.String root,
                                        java.lang.String library)

  Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this

  Create a url that links to one of the library files

  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
    `library` - The name of a library as returned by `getAvailableLibraries()`
  Returns:
    A URL that points at the given library

### getAvailableLibraries

    java.util.Collection getAvailableLibraries()

  Deprecated. Please tell the DWR users mailing list users@dwr.dev.java.net if you use this

  Returns:
    A list of the available libraries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD